Latest 0.1.2
Homepage https://github.com/picciano/SendGrid-Swift
License MIT
Platforms ios 9.0, requires ARC
Frameworks Foundation
Authors

Swift framework for using SendGrid v3.

Usage

Add the pod to your podfile

pod 'SendGrid-Swift'

Import the framework

import SendGrid_Swift

Example

func sendMail() {
    let sendGrid = SendGrid(withAPIKey: "USE YOUR SENDGRID API KEY HERE")

    let content = SGContent(type: .plain, value: "Now is the time for all good men to come to the aid of their country.")
    let from = SGAddress(email: "[email protected]")
    let personalization = SGPersonalization(to: [ SGAddress(email: "[email protected]") ])
    let subject = "Hello, world!"

    let email = SendGridEmail(personalizations: [personalization], from: from, subject: subject, content: [content])

    sendGrid.send(email: email) { (response, error) in
        if let error = error {
            log.error("Error sending email: (error.localizedDescription)")
        }
    }
}

Latest podspec

{
    "name": "SendGrid-Swift",
    "platforms": {
        "ios": "9.0"
    },
    "summary": "SendGrid-Swift allows sending email using SendGrid v3.",
    "requires_arc": true,
    "version": "0.1.2",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "Anthony Picciano": "[email protected]"
    },
    "homepage": "https://github.com/picciano/SendGrid-Swift",
    "source": {
        "git": "https://github.com/picciano/SendGrid-Swift.git",
        "tag": "0.1.2"
    },
    "frameworks": "Foundation",
    "source_files": "SendGrid-Swift/**/*.{swift}",
    "pushed_with_swift_version": "4.0"
}

Pin It on Pinterest

Share This